# Generated from gared-0.0.23.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gared

Name: rubygem-%{gem_name}
Version: 0.0.23
Release: 1%{?dist}
Summary: Scrape Hebrew bibliography sources
License: MIT
URL: https://gitlab.com/abartov/gared
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.1
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
A set of scrapers for bibliographic records of Hebrew titles.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.23-1
- Initial package
